#!/usr/bin/gnuplot

vkms = 5.0
Mtot = 1.0
D = 50.  # km

Mlr1(Q_Qstar) = Mtot/(1.e0+(0.6e0+56.e0*exp(-1.e0*vkms)) * Q_Qstar**(0.8e0+8.e0*exp(-0.7e0*vkms)))
Mlf1(Q_Qstar) = Mtot/(0.24e0*vkms**3 * (Q_Qstar)**(-0.6e0-2.e0*exp(-0.3e0*vkms)) + exp(-0.3e0*vkms)*Q_Qstar + 11.e0 + 2.e0*vkms)

Mlr2(Q_Qstar) = Q_Qstar < 1.0 ? (-0.5e0*(Q_Qstar-1.e0)+0.5e0)*Mtot : (-0.35e0*(Q_Qstar-1.e0)+0.5e0)*Mtot
Mlf2(Q_Qstar) = 0.008e0*((Q_Qstar)**1.4e0*exp(-(Q_Qstar/3.0e0)**1.6e0)) * Mtot

interp(x1,x2,y1,y2,x) = y1 + (x-x1)/(x2-x1)*(y2-y1)

Mlr(Q_Qstar) = interp(10.,100.,Mlr1(Q_Qstar),Mlr2(Q_Qstar),D)
Mlf(Q_Qstar) = interp(10.,100.,Mlf1(Q_Qstar),Mlf2(Q_Qstar),D)


set xl "Q/Qstar"
set yl "Mlr,Mlf [Mtot]"

set xr [1e-3:1e3]
set yr [1e-10:]

set samples 1000
set logscale x
set logscale y
set zeroaxis

p \
  Mlr1(x),\
  Mlr2(x) lw 2,\
  Mlf1(x),\
  Mlf2(x) lw 2,\
  1.0 w l lt 0

pa -1

q

  Mlf(x) lw 2,\
  Mlr(x) lw 2,\

