#!/usr/bin/gnuplot

vkms = 3.0
Mtot = 1.0

Mlr1(Q_Qstar) = Mtot/(1.e0+(0.6e0+56.e0*exp(-1.e0*vkms)) * Q_Qstar**(0.8e0+8.e0*exp(-0.7e0*vkms)))
Mlf1(Q_Qstar) = Mtot/(0.24e0*vkms**3 * (Q_Qstar)**(-0.6e0-2.e0*exp(-0.3e0*vkms)) + exp(-0.3e0*vkms)*Q_Qstar + 11.e0 + 2.e0*vkms)

Mlr1_(Q_Qstar) = Mlf1(Q_Qstar) > Mlr1(Q_Qstar) ? 0.0 : Mlr1(Q_Qstar)

set xl "Q/Qstar"
set yl "Mlr,Mlf [Mtot]"

set xr [1e-3:1e3]
set yr [1e-6:]

set samples 1000
set logscale x
set logscale y
set zeroaxis

p \
  Mlr1(x),\
  Mlf1(x),\
  Mlr1_(x)+Mlf1(x),\
  1.0 w l lt 0

pa -1

set term png small
set out "Mlf1_3kms.png"
rep



