#!/usr/bin/gnuplot

vkms = 5.0
Mtot = 1.0

Mlr2(Q_Qstar) = Q_Qstar < 1.0 ? (-0.5e0*(Q_Qstar-1.e0)+0.5e0)*Mtot : (-0.35e0*(Q_Qstar-1.e0)+0.5e0)*Mtot
Mlf2(Q_Qstar) = 0.008e0*((Q_Qstar)**1.4e0*exp(-(Q_Qstar/3.0e0)**1.6e0)) * Mtot

Mlr2_(Q_Qstar) = Mlf2(Q_Qstar) > Mlr2(Q_Qstar) ? 0.0 : Mlr2(Q_Qstar)

set xl "Q/Qstar"
set yl "Mlr,Mlf [Mtot]"

set xr [1e-3:1e3]
set yr [1e-10:]

set samples 1000
set logscale x
set logscale y
set zeroaxis

p \
  Mlr2(x),\
  Mlf2(x),\
  Mlr2_(x)+Mlf2(x),\
  1.0 w l lt 0

pa -1


